# Custom Domain
To use a custom domain with your documentation (`docs.yoursite.com`) instead of our hosted subdomain (`yourdocs.hosted.docshub.io`), you'll need to set up DNS records as follows:

## For docs that DON'T require a login
If your documentation is **public** (you don't need a username/password or SSO to access the site), create a `CNAME` record pointing to `cname.docshub.io`, and then set up your custom domain through the DocsHub portal.

## For docs that DO require a login
If your documentation is **private** (you need a username/password or SSO to access the site), create a `CNAME` record pointing to `authcname.docshub.io`, and then set up your custom domain through the DocsHub portal.